Subject: bug#6348: 24.0.50; delsel mode (or register insert) deletes text too soon.

From: Jan Djärv <[email-masked]>
Date: Fri, 04 Jun 2010 23:27:02 +0200

Juri Linkov skrev 2010-06-04 18.43:
>> % emacs -Q
>> M-x delete-selection-mode<return>
>> C-x h C-x r i
>>
>> Notice that the whole text is deleted when i is pressed.  If you then
>> press a key, say a, it states that register does not conatin text, which
>> is correct.  But the text of the buffer is deleted, even though
>> nothing replaced it.  Undo gets you the text back, but it is
>> inconvinient.
>
> What do you need undo when after deleting the selected region,
> you can type again `C-x r i' with the correct key and get the
> same result as you wanted before typing an incorrect key
> (i.e. the region gets deleted and text from the correct register
> still inserted into the buffer)?
>

Well, sometimss that works.  But sometimss I think I have text in a register, 
but I have overwritten it with something else, or after C-x r i I descide to 
not do it that way and type C-g.  Or I see thst the selection is just not the 
right selection to replace and want to abort the command for that reason.

The point is that C-x r i C-g should leave stuff as they where, like they do 
with delsel off.

	Jan D.